import React, { useState } from 'react'
import AdminTableLayout from './components/admin/AdminTableLayout';
import TableLayout from './components/frontend/TableLayout'
import {is_admin} from './config'

document.addEventListener( 'DOMContentLoaded', function() {
    var element = document.getElementById( 'table-map' );
    if(is_admin){
        var seatCapacity = element.getAttribute('data-seat_capacity');
        if( typeof element !== 'undefined' && element !== null ) {
            ReactDOM.render( <AdminTableLayout seatCapacity={seatCapacity} />, element );
        }
    }
    if(!is_admin){

        var el = document.getElementById( 'table-layout-map' );
        if( typeof el !== 'undefined' && el !== null ) {
            ReactDOM.render( <TableLayout />, el );
        }
    }

} )


